Package org.eclipse.m2m.atl.engine.vm.nativelib

# Class ASMBag

java.lang.Object
org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
org.eclipse.m2m.atl.engine.vm.nativelib.ASMCollection
org.eclipse.m2m.atl.engine.vm.nativelib.ASMBag

public class ASMBag extends ASMCollection

## Field Summary

Fields
Modifier and Type
Field
Description
`static ASMOclType`
`myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

## Constructor Summary

Constructors
Constructor
Description
`ASMBag()`
`ASMBag(Collection init)`
`ASMBag(ASMBag init)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(ASMOclAny o)`
`static ASMBag`
`asBag(StackFrame frame, ASMBag self)`
`Collection`
`collection()`
`boolean`
`equals(Object o)`
`static ASMBag`
`excluding(StackFrame frame, ASMBag self, ASMOclAny o)`
`static ASMBag`
`flatten(StackFrame frame, ASMBag self)`
`int`
`hashCode()`
`static ASMBag`
`including(StackFrame frame, ASMBag self, ASMOclAny o)`
`Iterator`
`iterator()`
`String`
`toString()`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMCollection

`asBag, asOrderedSet, asSequence, asSet, count, excludes, excludesAll, get, includes, includesAll, isEmpty, notEmpty, size, size, sum`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### myType

public static ASMOclType myType

## Constructor Details

### ASMBag

public ASMBag()

### ASMBag

public ASMBag(ASMBag init)

### ASMBag

public ASMBag(Collection init)

## Method Details

### including

public static ASMBag including(StackFrame frame, ASMBag self, ASMOclAny o)

### excluding

public static ASMBag excluding(StackFrame frame, ASMBag self, ASMOclAny o)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### add

public void add(ASMOclAny o)

Specified by:
  `add` in class `ASMCollection`

### iterator

public Iterator iterator()

Specified by:
  `iterator` in class `ASMCollection`

### collection

public Collection collection()

Specified by:
  `collection` in class `ASMCollection`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### asBag

public static ASMBag asBag(StackFrame frame, ASMBag self)

### flatten

public static ASMBag flatten(StackFrame frame, ASMBag self)